from risotto.utils import multi_function as _multi_function


@_multi_function
def calc_postfix_relay_domains(criteria):
    relay = set()
    for lsts in criteria:
        for lst in lsts:
            if '@' in lst:
                lst = lst.split('@')[1]
            relay.add(lst)
    return sorted(list(relay))
